Index: src/fortrancode.l
===================================================================
--- src/fortrancode.l	(revision 590)
+++ src/fortrancode.l	(working copy)
@@ -107,6 +107,7 @@
 static MemberDef *   g_currentMemberDef;
 static bool          g_includeCodeFragment;
 
+static char          stringStartSymbol; // single or double quote
 
 static void endFontClass()
 {
@@ -831,6 +832,7 @@
 					}
 
 <*>"!"[^>\n].*|"!"$ 			{ // normal comment
+					  if(YY_START == String) REJECT; // ignore in strings
   					  startFontClass("comment");
   					  codifyLines(yytext);
 					  endFontClass();
@@ -846,26 +848,27 @@
                                             generateLink(*g_code, yytext);
 					    g_insideBody=FALSE;
                                         }
-
  /*------ strings --------------------------------------------------*/ 
 <*>"\\\\"                               { str+=yytext; /* ignore \\  */}
-<*>"\\\""                               { str+=yytext; /* ignore \"  */}
+<*>"\\\""|\\\'                          { str+=yytext; /* ignore \"  */}
 
-<String>\"                              { // string ends with next quote without previous backspace 
+<String>\"|\'                           { // string ends with next quote without previous backspace 
+                                          if(yytext[0]!=stringStartSymbol) REJECT; // single vs double quote
+					  /*fprintf(stderr, " ====> stringStartSymbol %c", stringStartSymbol); */
                                           str+=yytext;
   					  startFontClass("stringliteral");
   					  codifyLines(str);
 					  endFontClass();
                                           yy_pop_state();
                                         }           
-<*>\"                                   { /* string starts */
+<String>.                               {str+=yytext;}
+<*>\"|\'                                { /* string starts */
+					  /* if(YY_START == StrIgnore) REJECT; // ignore in simple comments */
                                           yy_push_state(YY_START);
-                                          BEGIN(String); 
+                                          stringStartSymbol=yytext[0]; // single or double quote
+                                          BEGIN(String);
 					  str=yytext;
                                         }
-<String>.                               {str+=yytext;} 
-
-
  /*-----------------------------------------------------------------------------*/
 
 <*>\n					{
